> ## Documentation Index
> Fetch the complete documentation index at: https://docs.harmonyforstaffing.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Token

> Get a new access token using a refresh token

When an access token expires, use the refresh token to obtain a new one.

### Body Parameters

<ParamField body="grant_type" type="string" required>
  Must be "refresh\_token"
</ParamField>

<ParamField body="refresh_token" type="string" required>
  The refresh token
</ParamField>

<ParamField body="client_id" type="string" required>
  Your application's client ID
</ParamField>

<ParamField body="client_secret" type="string" required>
  Your application's client secret
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl --request POST \
    --url "https://api.harmonyforstaffing.com/oauth/token" \
    --header 'Content-Type: application/x-www-form-urlencoded' \
    --data-urlencode "grant_type=refresh_token" \
    --data-urlencode "refresh_token=def50200641f3e..." \
    --data-urlencode "client_id=your_client_id" \
    --data-urlencode "client_secret=your_client_secret"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "token_type": "Bearer",
    "expires_in": 86400,
    "refresh_token": "def50200641f3e...",
    "scope": "read write"
  }
  ```
</ResponseExample>
